Skip to main content
PATCH
Update monitor
Allows you to update a monitor to adjust to your specific needs.
You can update one or more fields of the monitor, and fields not included in the request body will remain unchanged.

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

monitor_id
string
required

Body

application/json
domain
string

The domain name. Required if full_domain is not provided.

Maximum string length: 255
subdomain
string

Subdomain (empty string for apex domain). Used with domain. Ignored if full_domain is provided.

Maximum string length: 255
full_domain
string

Full domain (e.g., 'www.example.com'). When provided, the domain and subdomain will be automatically split. Use this OR domain+subdomain, not both.

Maximum string length: 512
record_type
enum<string>
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
PTR,
SPF,
CAA
expected_value
is_exact_match
boolean

If true, the DNS value must match exactly. If false, additional values beyond expected_value are allowed.

is_active
boolean

Whether the monitor is active and should be checked. Set to false to pause monitoring.

group
string

Group slug to assign the monitor to.

notify
enum<string>

When to start sending webhook notifications. 'immediately' triggers events from first check, 'on_success' starts after monitor enters valid state, 'after_success' starts after first transition from valid to another state.

Available options:
immediately,
on_success,
after_success

Response

Monitor updated

DNS monitoring configuration

id
string

Monitor identifier with 'mon_' prefix

Example:

"mon_abc123..."

created
string<date-time>

Monitor creation datetime in ISO 8601 format

domain
string

Domain name to monitor

Example:

"example.com"

subdomain
string

Subdomain to monitor (empty string for apex)

Example:

"www"

record_type
enum<string>

DNS record type to monitor

Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
PTR,
SPF,
CAA
expected_value
string[]

Expected DNS record values (up to 10)

Example:
current_value
string[] | null

Current DNS record values

Example:
is_exact_match
boolean

If set to false, special rules applies depending on the record_type. See documentation for details.

state
enum<string> | null

Current monitoring state

Available options:
UNSET,
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP
incidence_count
integer

Number of incidents/changes detected

last_checked
string<date-time> | null

Datetime of the last check in ISO 8601 format

is_active
boolean

Whether monitoring is active

notify
enum<string>

Notification timing: 'immediately' notifies as soon as the value changes, 'on_success' notifies only when the value becomes valid, 'after_success' notifies only when the value goes from valid to invalid

Available options:
immediately,
on_success,
after_success